<template>
  <footer id="contact">
    <div class="map">
      <iframe
        src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d7314.65730305545!2d-46.7317333!3d-23.5566371!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x94ce57491152bc73%3A0x2312161589d84a16!2sCursinho+da+Poli-USP!5e0!3m2!1sen!2sbr!4v1557934629985!5m2!1sen!2sbr"
        frameborder="0"
        class="w-full h-full"
        allowfullscreen>
      </iframe>
    </div>
    <div class="contact">
      <div class="entry">
        <img class="icon" src="@/assets/email.svg" alt="">
        <p class="text">cursinhodogremiodapoli@gmail.com</p>
      </div>

      <div class="entry">
        <img  class="icon" src="@/assets/phone.svg" alt="">
        <p class="text">(11) 30915224</p>
      </div>
      
      <div class="entry">
        <img class="icon" src="@/assets/whatsapp.svg" alt="">
        <p class="text">Whatsapp: (11) 945612102</p>
      </div>
    </div>
    <div id="ucl" class="footnote">
      <p class="text">
        <a href="https://codelab.ime.usp.br">Feito com ❤ pelo USPCodeLab</a>
     </p>
    </div>
  </footer>
</template>

<script lang='ts'>
import Vue from 'vue';
import Component from 'vue-class-component';

@Component({})
export default class Footer extends Vue {}
</script>

<style lang="postcss" scoped>
.map {
  @apply h-64;
}

.contact {
  @apply py-6;
  @apply flex flex-col items-center;
  @apply bg-blue-400;
}

.entry {
  @apply my-2;
  @apply flex items-center;
}

.entry > .icon {
  @apply h-6 mr-3;
}

.entry > .text {
  @apply text-white font-bold text-sm;
}

.footnote {
  @apply py-4;
  @apply flex flex-col items-center;

  background-color: #212121;
}

.footnote > .text {
  @apply text-sm;

  color: #f9f9f9;
}

@screen md {
  .contact {
    @apply flex-row justify-around;
  }

  .entry {
    @apply flex-col;
  }

  .entry > .icon {
    @apply mb-4;
  }
}

@screen lg {
  .entry {
    @apply flex-row;
  }

  .entry > .icon {
    @apply mb-0;
  }
}
</style>
